Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.colorchooser
Interface ColorSelectionModel

All Known Implementing Classes:
  DefaultColorSelectionModel

public interface ColorSelectionModel

A model that supports selecting a `Color`.

See Also:
  `Color`

Method Summary
`void` | `addChangeListener(ChangeListener listener)` Adds `listener` as a listener to changes in the model.
`Color` | `getSelectedColor()` Returns the selected `Color` which should be non-`null`.
`void` | `removeChangeListener(ChangeListener listener)` Removes `listener` as a listener to changes in the model.
`void` | `setSelectedColor(Color color)` Sets the selected color to `color`.

Method Detail

### getSelectedColor

    public Color getSelectedColor()

  Returns the selected `Color` which should be non-`null`.

  Returns:
    the selected `Color`
  See Also:
    `setSelectedColor(java.awt.Color)`

### setSelectedColor

    public void setSelectedColor(Color color)

  Sets the selected color to `color`. Note that setting the color to `null` is undefined and may have unpredictable results. This method fires a state changed event if it sets the current color to a new non-`null` color.

  Parameters:
    `color` - the new `Color`
  See Also:
    `getSelectedColor()`, `addChangeListener(javax.swing.event.ChangeListener)`

### addChangeListener

    public void addChangeListener(ChangeListener listener)

  Adds `listener` as a listener to changes in the model.

  Parameters:
    `listener` - the `ChangeListener` to be added

### removeChangeListener

    public void removeChangeListener(ChangeListener listener)

  Removes `listener` as a listener to changes in the model.

  Parameters:
    `listener` - the `ChangeListener` to be removed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.